## hdf5 0.3

=== DESCRIPTION ===
Package: hdf5
Version: 0.3
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 0.4

=== DESCRIPTION ===
Package: hdf5
Version: 0.4
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 0.5

=== DESCRIPTION ===
Package: hdf5
Version: 0.5
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 0.6

=== DESCRIPTION ===
Package: hdf5
Version: 0.6
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 0.7

=== DESCRIPTION ===
Package: hdf5
Version: 0.7
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Maintainer: Marcus G. Daniels mgd@swarm.org
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 0.7
+Version: 0.8
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 0.8
+Version: 0.9
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 0.9
+Version: 1.0
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.0
+Version: 1.1
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.1
+Version: 1.2
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 1.2.1-1

=== testpar/Makefile ===
# Generated automatically from Makefile.in by configure.
# hdf5 Parallel Library Test Makefile(.in)
#
# Copyright (C) 1998 National Center for Supercomputing Applications
#                    All rights reserved
#
#
top_srcdir=..
top_builddir=..
srcdir=.
VPATH=.:.

#------------------------------------------------------------- -*- makefile -*-
# The following section of this makefile comes from the
# `./config/commence' file which was generated with config.status
# from `./config/commence.in'.
#------------------------------------------------------------------------------

# Things that Make needs
.SUFFIXES:
.SUFFIXES: .c .o .lo


# Programs
SHELL=/bin/sh
CC=gcc
CFLAGS=-g -O2 -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline -O
CPPFLAGS=  -DNDEBUG -UH5_DEBUG_API
LDFLAGS=
LIBS=-lz -lnsl -lm 
AR=ar
RANLIB=ranlib
RM=rm -f
CP=cp
INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_DATA=${INSTALL} -m 644
RUNSERIAL=
RUNPARALLEL=
RUNTEST=$(RUNSERIAL)
TRACE=:

# Installation points
prefix=/usr
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include
docdir=${prefix}/doc
PUB_LIB=$(LIB)

# Shared libraries
LT=$(top_builddir)/libtool
LT_COMPILE=$(LT) --mode=compile $(CC)
LT_LINK_LIB=$(LT) --mode=link $(CC) -rpath $(libdir)
LT_LINK_EXE=$(LT) --mode=link $(CC) -rpath $(bindir)
LT_RUN=$(LT) --mode=execute
LT_INSTALL_PROG=$(LT) --mode=install $(INSTALL_PROGRAM)
LT_INSTALL_LIB=$(LT) --mode=install $(INSTALL_DATA)
LT_UNINSTALL=$(LT) --mode=uninstall $(RM)

## Optional variables. We must declare them here because Irix pmake
## complains if it sees a reference to a variable which has never been
## defined. The main makefile is free to redefine these to something else.
DOCDIR=$(docdir)

# The default is to build the library and/or programs.  We must build
# them sequentially.
all:
	$(MAKE) lib
	$(MAKE) progs
	$(MAKE) tests

# The following rules insure that the Makefile is up-to-date by rerunning
# various autoconf components (although not all versions of make assume
# that the makefile is implicitly a target).  We use time stamp files to
# keep track of the most recent update of H5config.h.in and H5config.h
# because autoheader and config.status don't update the modification time
# if the contents don't change.
#
# Graphically, the dependencies are:
#
#		         configure.in
#                           |  |
#         +-----------------+  +------------+
#         |                                 |
#      stamp1                           configure
#   (H5config.h.in)                         |
#       |  |                                |
#       |  +---------------+    +-----------+
#       |                  |    |
#       |               config.status
#       |                     |
#       |  +------------------+
#       |  |
#      stamp2
#    (H5config.h)                   Makefile.in et al
#         |                                 |
#         +------------------+  +-----------+
#                            |  |
#                          Makefile
#
# A side effect of updating stamp1 is to generate H5config.h.in and a
# side effect of updating stamp2 is to generate H5config.h.  When using
# a version of make that doesn't treat the makefile as the initial target
# the user may want to occassionally type `make Makefile' in any source
# directory.
#
STAMP1=$(top_builddir)/config/stamp1
STAMP2=$(top_builddir)/config/stamp2

MAKEFILE_PARTS=$(srcdir)/Makefile.in					      \
	       $(top_srcdir)/config/commence.in				      \
	       $(top_srcdir)/config/conclude.in				      \
	       $(top_srcdir)/config/depend.in

$(STAMP1): $(top_srcdir)/configure.in
	touch $(STAMP1)
	-cd $(top_srcdir); autoheader

$(STAMP2): $(STAMP1) $(top_builddir)/config.status
	touch $(STAMP2)
	-cd $(top_builddir); \
	   CONFIG_FILES= CONFIG_HEADERS=src/H5config.h ./config.status

$(top_srcdir)/configure: $(top_srcdir)/configure.in
	-cd $(top_srcdir); autoconf

$(top_builddir)/config.status: $(top_srcdir)/configure $(STAMP1)
	-cd $(top_builddir); ./config.status --recheck

Makefile: $(MAKEFILE_PARTS) $(STAMP2)
	-cd $(top_builddir); CONFIG_HEADERS= ./config.status

#------------------------------------------------------------------------------
# The following section of this makefile comes from the middle of `Makefile.in'
# from this directory.  It was generated by running `config.status'.
#------------------------------------------------------------------------------

# Add the include directory to the C preprocessor flags the the hdf5 library
# to the library list.
CPPFLAGS=-I. -I$(srcdir) -I../src -I$(top_srcdir)/src   -DNDEBUG -UH5_DEBUG_API
LIBHDF5=../src/libhdf5.la

# These tests are parallel
RUNTEST=$(RUNPARALLEL)

# These are our main targets
TEST_PROGS=testphdf5

# Temporary files
MOSTLYCLEAN=ParaEg[123].h5f
DISTCLEAN=go

# Test source files
TEST_SRC=testphdf5.c t_dset.c t_file.c t_mpi.c
TEST_OBJ=$(TEST_SRC:.c=.lo)
TEST_HDR=testphdf5.h

# How to build the tests... They all depend on the hdf5 library
$(TEST_PROGS): ../src/libhdf5.la

testphdf5: $(TEST_OBJ)
	@$(LT_LINK_EXE) $(CFLAGS) -o $@ $(TEST_OBJ) $(LIBHDF5) $(LDFLAGS) $(LIBS)

$(TEST_OBJ): $(TEST_HDR)

#------------------------------------------------------------- -*- makefile -*-
# The following section of this makefile comes from the
# `./config/conclude' file which was generated with config.status
# from `./config/conclude.in'.
#------------------------------------------------------------------------------

# This is the target for the library described in the main body of the
# makefile.
#
lib: $(LIB)
$(LIB) __no_library__: $(LIB_OBJ)
	@$(LT_LINK_LIB) -o $@ $(CFLAGS) $(LIB_OBJ) $(LDFLAGS) $(LIBS)

progs: $(LIB) $(PROGS)

# Build a tags file in this directory.
TAGS: $(LIB_SRC)
	$(RM) $@
	-etags $(LIB_SRC)

# Runs each test in order, passing $(TEST_FLAGS) to the program.
tests: $(TEST_PROGS) $(LIB)
check test _test: tests
	@for test in $(TEST_PROGS) dummy; do                                  \
	   if test $$test != dummy; then				      \
	      echo "============================";			      \
	      echo "Testing $$test $(TEST_FLAGS)";			      \
	      echo "============================";			      \
	      PATH=".:$$PATH" srcdir=$(srcdir)				      \
		 $(RUNTEST) $$test $(TEST_FLAGS) ||			      \
		 exit 1;						      \
	      echo "";							      \
	   fi;								      \
	done;
	@for test in $(TEST_SCRIPTS) dummy; do                                \
	   if test $$test != dummy; then				      \
	      echo "============================";			      \
	      echo "Testing $$test $(TEST_FLAGS)";			      \
	      echo "============================";			      \
	      RUNSERIAL="$(RUNSERIAL)" RUNPARALLEL="$(RUNPARALLEL)"           \
	      srcdir=$(srcdir)						      \
		 /bin/sh $$test $(TEST_FLAGS) ||		              \
		 exit 1;						      \
	      echo "";							      \
	   fi;								      \
	done;

# Make installation directories directories if they don't exist.
$(libdir):
	mkdir $@ && chmod 755 $@

$(includedir):
	mkdir $@ && chmod 755 $@

$(bindir):
	mkdir $@ && chmod 755 $@

$(DOCDIR):
	mkdir $@ && chmod 755 $@

# Install the library, the public header files, and programs.
install: $(PUB_LIB) $(PUB_HDR) $(PROGS) $(libdir) $(includedir) $(bindir)
	@for f in X $(PUB_LIB); do					      \
	   if test $$f != X; then					      \
	      ($(LT_INSTALL_LIB) $$f $(libdir)/. || exit 1);		      \
	   fi;								      \
	done
	@if test -f libhdf5.settings; then				      \
	   (set -x; $(INSTALL_DATA) libhdf5.settings $(libdir)/. || exit 1);  \
	fi
	@for f in X $(PUB_HDR); do					      \
	   if test $$f != X; then					      \
	      if test -f $$f; then					      \
		 (set -x; $(INSTALL_DATA) $$f $(includedir)/. || exit 1);     \
	      else							      \
	         (set -x; $(INSTALL_DATA) $(srcdir)/$$f $(includedir)/. ||    \
		    exit 1);						      \
	      fi;							      \
	   fi;								      \
	done
	@for f in X $(PROGS); do					      \
	   if test $$f != X; then					      \
	     ($(LT_INSTALL_PROG) $$f $(bindir)/. || exit 1);		      \
	   fi;							              \
	done

# Install the documents.
install-doc: $(PUB_DOCS) $(DOCDIR)
	@for d in X $(SUBDIRS); do					      \
	    if test $$d != X; then					      \
	       (set -x; cd $$d && $(MAKE) $@) || exit 1;                      \
	    fi;								      \
	done
	@for f in X $(PUB_DOCS); do					      \
	   if test $$f != X; then					      \
	      if test -f $$f; then					      \
		 (set -x; $(INSTALL_DATA) $$f $(DOCDIR)/. || exit 1);         \
	      else							      \
	         (set -x; $(INSTALL_DATA) $(srcdir)/$$f $(DOCDIR)/. ||        \
		    exit 1);						      \
	      fi;							      \
	   fi;								      \
	done

# Removes those things that `make install' (would have) installed.
uninstall:
	@if test "X$(LIB)" != X; then					      \
	   for f in $(LIB); do						      \
	      $(LT_UNINSTALL) $(libdir)/$$f;				      \
	   done;							      \
	fi
	@if test "X$(PUB_HDR)" != X; then				      \
	   set -x; cd $(includedir) && $(RM) $(PUB_HDR);		      \
	fi
	@if test "X$(PROGS)" != X; then					      \
	   for f in $(PROGS); do					      \
	      $(LT_UNINSTALL) $(bindir)/$$f;				      \
	   done;							      \
	fi

# Removes those things that `make install-doc' (would have) installed.
uninstall-doc:
	@for d in X $(SUBDIRS); do					      \
	    if test $$d != X; then					      \
	       (set -x; cd $$d && $(MAKE) $@) || exit 1;                      \
	    fi;								      \
	done
	@if test "X$(PUB_DOCS)" != X; then				      \
	   set -x; cd $(DOCDIR) && $(RM) $(PUB_DOCS);			      \
	fi

# Removes temporary files without removing the final target files.  That is,
# remove things like object files but not libraries or executables.
#
mostlyclean:
	-$(RM) $(LIB_OBJ) $(LIB_OBJ:.lo=.o)
	-$(RM) $(TEST_OBJ) $(TEST_OBJ:.lo=.o)
	-$(RM) $(PROG_OBJ) $(PROG_OBJ:.lo=.o) $(MOSTLYCLEAN)

# Like `mostlyclean' except it also removes the final targets: things like
# libraries and executables.  This target doesn't remove any file that
# is part of the HDF5 distribution.
#
clean: mostlyclean
	-$(RM) $(LIB) $(TEST_PROGS) $(PROGS) $(CLEAN)
	-$(RM) -r .libs

# Like `clean' except it also removes files that were created by running
# configure.  If you've unpacked the source and built HDF5 without creating
# any other files, then `make distclean' will leave only the files that were
# in the distribution.
#
distclean: clean
	-$(RM) .depend TAGS *~ core *.core *.bak *.old *.new $(DISTCLEAN)
	@if test -f $(srcdir)/Makefile.in; then				      \
	   (set -x; $(RM) Makefile);					      \
	fi


# Like `distclean' except it deletes all files that can be regenerated from
# the makefile, including those generated from autoheader and autoconf.
#
maintainer-clean: distclean
	-$(RM) *~ core core.* *.core *.bak *.contrib gmon.out

# Implicit rules
.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

.c.lo:
	@$(LT_COMPILE) $(CFLAGS) $(CPPFLAGS) -c $<

#------------------------------------------------------------------------------
# The following section of this makefile contains dependencies between the
# source files and the header files.  If GNU make and GCC are being used then
# the dependencies are in the form of rules that cause the information to
# be kept updated automatically.  Otherwise the dependencies are listed
# explicitly and come from the `.distdep' files in the various directories.
# These files are part of the distribution and are generated automatically on
# GNU/GCC systems.
#------------------------------------------------------------------------------


#                                                              -*- makefile -*-

# We keep a list of dependencies in `.depend' for each of the source
# files on which it depends.  When one of the source files is modified
# we remove its record from .depend and regenerate its dependencies,

=== doc/html/Tutor/Makefile ===
# Generated automatically from Makefile.in by configure.
# HDF5 Library Makefile(.in)
#
# Copyright (C) 1997 National Center for Supercomputing Applications.
#                    All rights reserved.
#
# 
top_srcdir=../../..
top_builddir=../../..
srcdir=.
VPATH=.:.

#------------------------------------------------------------- -*- makefile -*-
# The following section of this makefile comes from the
# `./config/commence' file which was generated with config.status
# from `./config/commence.in'.
#------------------------------------------------------------------------------

# Things that Make needs
.SUFFIXES:
.SUFFIXES: .c .o .lo


# Programs
SHELL=/bin/sh
CC=gcc
CFLAGS=-g -O2 -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline -O
CPPFLAGS=  -DNDEBUG -UH5_DEBUG_API
LDFLAGS=
LIBS=-lz -lnsl -lm 
AR=ar
RANLIB=ranlib
RM=rm -f
CP=cp
INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_DATA=${INSTALL} -m 644
RUNSERIAL=
RUNPARALLEL=
RUNTEST=$(RUNSERIAL)
TRACE=:

# Installation points
prefix=/usr
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include
docdir=${prefix}/doc
PUB_LIB=$(LIB)

# Shared libraries
LT=$(top_builddir)/libtool
LT_COMPILE=$(LT) --mode=compile $(CC)
LT_LINK_LIB=$(LT) --mode=link $(CC) -rpath $(libdir)
LT_LINK_EXE=$(LT) --mode=link $(CC) -rpath $(bindir)
LT_RUN=$(LT) --mode=execute
LT_INSTALL_PROG=$(LT) --mode=install $(INSTALL_PROGRAM)
LT_INSTALL_LIB=$(LT) --mode=install $(INSTALL_DATA)
LT_UNINSTALL=$(LT) --mode=uninstall $(RM)

## Optional variables. We must declare them here because Irix pmake
## complains if it sees a reference to a variable which has never been
## defined. The main makefile is free to redefine these to something else.
DOCDIR=$(docdir)

# The default is to build the library and/or programs.  We must build
# them sequentially.
all:
	$(MAKE) lib
	$(MAKE) progs
	$(MAKE) tests

# The following rules insure that the Makefile is up-to-date by rerunning
# various autoconf components (although not all versions of make assume
# that the makefile is implicitly a target).  We use time stamp files to
# keep track of the most recent update of H5config.h.in and H5config.h
# because autoheader and config.status don't update the modification time
# if the contents don't change.
#
# Graphically, the dependencies are:
#
#		         configure.in
#                           |  |
#         +-----------------+  +------------+
#         |                                 |
#      stamp1                           configure
#   (H5config.h.in)                         |
#       |  |                                |
#       |  +---------------+    +-----------+
#       |                  |    |
#       |               config.status
#       |                     |
#       |  +------------------+
#       |  |
#      stamp2
#    (H5config.h)                   Makefile.in et al
#         |                                 |
#         +------------------+  +-----------+
#                            |  |
#                          Makefile
#
# A side effect of updating stamp1 is to generate H5config.h.in and a
# side effect of updating stamp2 is to generate H5config.h.  When using
# a version of make that doesn't treat the makefile as the initial target
# the user may want to occassionally type `make Makefile' in any source
# directory.
#
STAMP1=$(top_builddir)/config/stamp1
STAMP2=$(top_builddir)/config/stamp2

MAKEFILE_PARTS=$(srcdir)/Makefile.in					      \
	       $(top_srcdir)/config/commence.in				      \
	       $(top_srcdir)/config/conclude.in				      \
	       $(top_srcdir)/config/depend.in

$(STAMP1): $(top_srcdir)/configure.in
	touch $(STAMP1)
	-cd $(top_srcdir); autoheader

$(STAMP2): $(STAMP1) $(top_builddir)/config.status
	touch $(STAMP2)
	-cd $(top_builddir); \
	   CONFIG_FILES= CONFIG_HEADERS=src/H5config.h ./config.status

$(top_srcdir)/configure: $(top_srcdir)/configure.in
	-cd $(top_srcdir); autoconf

$(top_builddir)/config.status: $(top_srcdir)/configure $(STAMP1)
	-cd $(top_builddir); ./config.status --recheck

Makefile: $(MAKEFILE_PARTS) $(STAMP2)
	-cd $(top_builddir); CONFIG_HEADERS= ./config.status

#------------------------------------------------------------------------------
# The following section of this makefile comes from the middle of `Makefile.in'
# from this directory.  It was generated by running `config.status'.
#------------------------------------------------------------------------------

# Subdirectories in build-order (not including `examples')
SUBDIRS=
DOCDIR=$(docdir)/hdf5/Tutor

TRACE=perl $(top_srcdir)/bin/trace

# Add `-I.' to the C preprocessor flags.
CPPFLAGS=-I. -I.   -DNDEBUG -UH5_DEBUG_API

# Temporary files
MOSTLYCLEAN=

# Public doc files (to be installed)...
PUB_DOCS= Contents.html ContentsAdd.html ContentsAdv.html \
    ContentsFull.html ContentsIntro.html Copyright.html \
    answers.html api.html bighdf2sp.JPG compound.html \
    crtatt.html crtdat.html crtfile.html crtgrp.html \
    crtgrpar.html crtgrpd.html extend.html \
    fileorg.html glossary.html img001.gif img002.gif \
    img003.gif img004.gif img005.gif index.html intro.html \
    iterate.html iterator.txt mount.html questions.html \
    rdwt.html references.html reftoobj.html reftoreg.html \
    select.html selectc.html title.html util.html

# Other doc files (not to be installed)...
PRIVATE_DOCS=


#------------------------------------------------------------- -*- makefile -*-
# The following section of this makefile comes from the
# `./config/conclude' file which was generated with config.status
# from `./config/conclude.in'.
#------------------------------------------------------------------------------

# This is the target for the library described in the main body of the
# makefile.
#
lib: $(LIB)
$(LIB) __no_library__: $(LIB_OBJ)
	@$(LT_LINK_LIB) -o $@ $(CFLAGS) $(LIB_OBJ) $(LDFLAGS) $(LIBS)

progs: $(LIB) $(PROGS)

# Build a tags file in this directory.
TAGS: $(LIB_SRC)
	$(RM) $@
	-etags $(LIB_SRC)

# Runs each test in order, passing $(TEST_FLAGS) to the program.
tests: $(TEST_PROGS) $(LIB)
check test _test: tests
	@for test in $(TEST_PROGS) dummy; do                                  \
	   if test $$test != dummy; then				      \
	      echo "============================";			      \
	      echo "Testing $$test $(TEST_FLAGS)";			      \
	      echo "============================";			      \
	      PATH=".:$$PATH" srcdir=$(srcdir)				      \
		 $(RUNTEST) $$test $(TEST_FLAGS) ||			      \
		 exit 1;						      \
	      echo "";							      \
	   fi;								      \
	done;
	@for test in $(TEST_SCRIPTS) dummy; do                                \
	   if test $$test != dummy; then				      \
	      echo "============================";			      \
	      echo "Testing $$test $(TEST_FLAGS)";			      \
	      echo "============================";			      \
	      RUNSERIAL="$(RUNSERIAL)" RUNPARALLEL="$(RUNPARALLEL)"           \
	      srcdir=$(srcdir)						      \
		 /bin/sh $$test $(TEST_FLAGS) ||		              \
		 exit 1;						      \
	      echo "";							      \
	   fi;								      \
	done;

# Make installation directories directories if they don't exist.
$(libdir):
	mkdir $@ && chmod 755 $@

$(includedir):
	mkdir $@ && chmod 755 $@

$(bindir):
	mkdir $@ && chmod 755 $@

$(DOCDIR):
	mkdir $@ && chmod 755 $@

# Install the library, the public header files, and programs.
install: $(PUB_LIB) $(PUB_HDR) $(PROGS) $(libdir) $(includedir) $(bindir)
	@for f in X $(PUB_LIB); do					      \
	   if test $$f != X; then					      \
	      ($(LT_INSTALL_LIB) $$f $(libdir)/. || exit 1);		      \
	   fi;								      \
	done
	@if test -f libhdf5.settings; then				      \
	   (set -x; $(INSTALL_DATA) libhdf5.settings $(libdir)/. || exit 1);  \
	fi
	@for f in X $(PUB_HDR); do					      \
	   if test $$f != X; then					      \
	      if test -f $$f; then					      \
		 (set -x; $(INSTALL_DATA) $$f $(includedir)/. || exit 1);     \
	      else							      \
	         (set -x; $(INSTALL_DATA) $(srcdir)/$$f $(includedir)/. ||    \
		    exit 1);						      \
	      fi;							      \
	   fi;								      \
	done
	@for f in X $(PROGS); do					      \
	   if test $$f != X; then					      \
	     ($(LT_INSTALL_PROG) $$f $(bindir)/. || exit 1);		      \
	   fi;							              \
	done

# Install the documents.
install-doc: $(PUB_DOCS) $(DOCDIR)
	@for d in X $(SUBDIRS); do					      \
	    if test $$d != X; then					      \
	       (set -x; cd $$d && $(MAKE) $@) || exit 1;                      \
	    fi;								      \
	done
	@for f in X $(PUB_DOCS); do					      \
	   if test $$f != X; then					      \
	      if test -f $$f; then					      \
		 (set -x; $(INSTALL_DATA) $$f $(DOCDIR)/. || exit 1);         \
	      else							      \
	         (set -x; $(INSTALL_DATA) $(srcdir)/$$f $(DOCDIR)/. ||        \
		    exit 1);						      \
	      fi;							      \
	   fi;								      \
	done

# Removes those things that `make install' (would have) installed.
uninstall:
	@if test "X$(LIB)" != X; then					      \
	   for f in $(LIB); do						      \
	      $(LT_UNINSTALL) $(libdir)/$$f;				      \
	   done;							      \
	fi
	@if test "X$(PUB_HDR)" != X; then				      \
	   set -x; cd $(includedir) && $(RM) $(PUB_HDR);		      \
	fi
	@if test "X$(PROGS)" != X; then					      \
	   for f in $(PROGS); do					      \
	      $(LT_UNINSTALL) $(bindir)/$$f;				      \
	   done;							      \
	fi

# Removes those things that `make install-doc' (would have) installed.
uninstall-doc:
	@for d in X $(SUBDIRS); do					      \
	    if test $$d != X; then					      \
	       (set -x; cd $$d && $(MAKE) $@) || exit 1;                      \
	    fi;								      \
	done
	@if test "X$(PUB_DOCS)" != X; then				      \
	   set -x; cd $(DOCDIR) && $(RM) $(PUB_DOCS);			      \
	fi

# Removes temporary files without removing the final target files.  That is,
# remove things like object files but not libraries or executables.
#
mostlyclean:
	-$(RM) $(LIB_OBJ) $(LIB_OBJ:.lo=.o)
	-$(RM) $(TEST_OBJ) $(TEST_OBJ:.lo=.o)
	-$(RM) $(PROG_OBJ) $(PROG_OBJ:.lo=.o) $(MOSTLYCLEAN)

# Like `mostlyclean' except it also removes the final targets: things like
# libraries and executables.  This target doesn't remove any file that
# is part of the HDF5 distribution.
#
clean: mostlyclean
	-$(RM) $(LIB) $(TEST_PROGS) $(PROGS) $(CLEAN)
	-$(RM) -r .libs

# Like `clean' except it also removes files that were created by running
# configure.  If you've unpacked the source and built HDF5 without creating
# any other files, then `make distclean' will leave only the files that were
# in the distribution.
#
distclean: clean
	-$(RM) .depend TAGS *~ core *.core *.bak *.old *.new $(DISTCLEAN)
	@if test -f $(srcdir)/Makefile.in; then				      \
	   (set -x; $(RM) Makefile);					      \
	fi


# Like `distclean' except it deletes all files that can be regenerated from
# the makefile, including those generated from autoheader and autoconf.
#
maintainer-clean: distclean
	-$(RM) *~ core core.* *.core *.bak *.contrib gmon.out

# Implicit rules
.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

.c.lo:
	@$(LT_COMPILE) $(CFLAGS) $(CPPFLAGS) -c $<

#------------------------------------------------------------------------------
# The following section of this makefile contains dependencies between the
# source files and the header files.  If GNU make and GCC are being used then
# the dependencies are in the form of rules that cause the information to
# be kept updated automatically.  Otherwise the dependencies are listed
# explicitly and come from the `.distdep' files in the various directories.
# These files are part of the distribution and are generated automatically on
# GNU/GCC systems.
#------------------------------------------------------------------------------


#                                                              -*- makefile -*-

=== debian/changelog ===
hdf5 (1.2.1-1) unstable; urgency=low

  * Initial release.

 -- Marcus G. Daniels <mgd@swarm.org>  Wed, 23 Feb 2000 19:37:21 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: hdf5
Section: devel
Priority: optional
Maintainer: Marcus G. Daniels <mgd@swarm.org>
Standards-Version: 3.0.0

Package: hdf5
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for HDF5

Package: hdf5-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Developer support for HDF5

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=hdf5

build:
	$(checkdir)
	./configure --prefix=/usr --without-hdf4 --with-zlib
	$(MAKE) 
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol -phdf5
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## hdf5 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.2
+Version: 1.3
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.3
+Version: 1.4
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 1.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.4
+Version: 1.4.6
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org

## hdf5 1.4.7

=== DESCRIPTION ===
Package: hdf5
Version: 1.4.7
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Maintainer: Marcus G. Daniels <mgd@swarm.org>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 1.4.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.4.7
+Version: 1.4.8
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels <mgd@swarm.org>

## hdf5 1.4.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.4.8
+Version: 1.4.9
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels <mgd@swarm.org>

## hdf5 1.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.4.9
+Version: 1.5.3
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels <mgd@swarm.org>

## hdf5 1.5.4

=== DESCRIPTION ===
Package: hdf5
Version: 1.5.4
Title: HDF5
Author: Marcus G. Daniels mgd@santafe.edu
Maintainer: Marcus G. Daniels <mgd@santafe.edu>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 1.5.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.5.4
+Version: 1.5.7
 Title: HDF5
 Author: Marcus G. Daniels mgd@santafe.edu
 Maintainer: Marcus G. Daniels <mgd@santafe.edu>

## hdf5 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.5.7
+Version: 1.6.0
 Title: HDF5
 Author: Marcus G. Daniels mgd@santafe.edu
 Maintainer: Marcus G. Daniels <mgd@santafe.edu>

## hdf5 1.6.1

=== DESCRIPTION ===
Package: hdf5
Version: 1.6.1
Title: HDF5
Author: Marcus G. Daniels mgd@santafe.edu
Maintainer: Marcus G. Daniels <mgd@santafe.edu>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.
Packaged: Wed Feb 22 09:22:47 2006; hornik

## hdf5 1.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.6.1
+Version: 1.6.2
 Title: HDF5
 Author: Marcus G. Daniels mgd@santafe.edu
 Maintainer: Marcus G. Daniels <mgd@santafe.edu>

=== Makefile ===
# Top-level distributed Makefile 			       -*- makefile -*-

# This Makefile is a stub (copied from Makefile.dist) which will run
# configure and then invoke the same target in the new Makefile created
# by configure.

# Uncomment this variable if your make(1) doesn't set it automatically.
#
#MAKE=make


SHELL=/bin/sh

all lib progs check test _test install uninstall dep depend: _config
	$(MAKE) $@

clean mostlyclean distclean maintainer-clean TAGS: _config
	$(MAKE) $@

_config:
	sh configure

.PHONY: all lib progs test install uninstall dep depend clean mostlyclean     \
	distclean maintainer-clean _config

## hdf5 1.6.3

=== DESCRIPTION ===
Package: hdf5
Version: 1.6.3
Title: HDF5
Author: Marcus G. Daniels mgd@santafe.edu
Maintainer: Marcus G. Daniels <mgd@santafe.edu>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 1.6.4

=== DESCRIPTION ===
Package: hdf5
Version: 1.6.4
Title: HDF5
Author: Marcus G. Daniels mdaniels@lanl.gov
Maintainer: Marcus G. Daniels <mdaniels@lanl.gov>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.

## hdf5 1.6.5

=== DESCRIPTION ===
Package: hdf5
Version: 1.6.5
Title: HDF5
Author: Marcus G. Daniels mdaniels@lanl.gov
Maintainer: Marcus G. Daniels <mdaniels@lanl.gov>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.
Packaged: Sat Apr 14 15:09:53 2007; hp

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,16 @@
 # Top-level distributed Makefile 			       -*- makefile -*-
+
+# Copyright by the Board of Trustees of the University of Illinois.
+# All rights reserved.
+#
+# This file is part of HDF5.  The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the files COPYING and Copyright.html.  COPYING can be found at the root
+# of the source code distribution tree; Copyright.html can be found at the
+# root level of an installed copy of the electronic HDF5 document set and
+# is linked from the top-level documents page.  It can also be found at
+# http://hdf.ncsa.uiuc.edu/HDF5/doc/Copyright.html.  If you do not have
+# access to either file, you may request a copy from hdfhelp@ncsa.uiuc.edu.
 
 # This Makefile is a stub (copied from Makefile.dist) which will run
 # configure and then invoke the same target in the new Makefile created

=== doc/html/Tutor/examples/java/Makefile ===
# Generated automatically from Makefile.in by configure.
# /*=======================================================================
# UNIVERSITY OF ILLINOIS (UI), NATIONAL CENTER FOR SUPERCOMPUTING
# APPLICATIONS (NCSA), Software Distribution Policy for Public Domain
# Software
# 
# NCSA HDF Version 5 source code and documentation are in the public
# domain, available without fee for education, research, non-commercial and
# commercial purposes.  Users may distribute the binary or source code to
# third parties provided that this statement appears on all copies and that
# no charge is made for such copies.  
# 
# UI MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THE SOFTWARE FOR ANY
# PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY.  THE
# UI SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY THE USER OF THIS
# SOFTWARE.  The software may have been developed under agreements between
# the UI and the Federal Government which entitle the Government to certain
# rights.
# 
# We ask, but do not require that the following message be include in all
# derived works:
# 
#   Portions developed at the National Center for Supercomputing Applications
#   at the University of Illinois at Urbana-Champaign.
# 
# By copying this program, you, the user, agree to abide by the conditions
# and understandings with respect to any software which is marked with a
# public domain notice.
# 
# =======================================================================*/
# 


JAVAC           = /usr/java1.2/bin/javac
FIND            = /bin/find

CLASSPATH=/usr/java1.2/jre/lib/rt.jar:/afs/ncsa.uiuc.edu/projects/hdf/java/java2/mcgrath/arabica/java-hdf5                                                         


.SUFFIXES: .java .class

.java.class:
	$(JAVAC) -classpath $(CLASSPATH) $<

tutorial: ./Compound.class  \
	./Copy.class \
	./CreateAttribute.class \
	./CreateDataset.class \
	./CreateFile.class \
	./CreateFileInput.class \
	./CreateGroup.class \
	./CreateGroupAR.class \
	./CreateGroupDataset.class \
	./DatasetRdWt.class \
	./HyperSlab.class
	chmod u+x *.sh

clean: clean-classes 

distclean: clean-classes clean-data
	rm config.cache config.status config.log 
	rm -rf ./Makefile

clean-classes:
	$(FIND) . \( -name '#*' -o -name '*~' -o -name '*.class' \) -exec rm -f {} \; ;\

clean-data:
	rm -rf *.h5 

Compound:	./Compound.class 
Copy:	./Copy.class
CreateAttribute:	./CreateAttribute.class
CreateDataset:	./CreateDataset.class
CreateFile:	./CreateFile.class
CreateFileInput:	./CreateFileInput.class
CreateGroup:	./CreateGroup.class
CreateGroupAR:	./CreateGroupAR.class
CreateGroupDataset:	./CreateGroupDataset.class
DatasetRdWt:	./DatasetRdWt.class
HyperSlab:	./HyperSlab.class

CLASSES= ./Compound.class  \
	./Copy.class \
	./CreateAttribute.class \
	./CreateDataset.class \
	./CreateFileInput.class \
	./CreateFile.class \
	./CreateGroup.class \
	./CreateGroupAR.class \
	./CreateGroupDataset.class \
	./DatasetRdWt.class \
	./HyperSlab.class

## hdf5 1.6.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.6.5
+Version: 1.6.7
 Title: HDF5
 Author: Marcus G. Daniels mdaniels@lanl.gov
 Maintainer: Marcus G. Daniels <mdaniels@lanl.gov>

## hdf5 1.6.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.6.7
+Version: 1.6.8
 Title: HDF5
 Author: Marcus G. Daniels mdaniels@lanl.gov
 Maintainer: Marcus G. Daniels <mdaniels@lanl.gov>

## hdf5 1.6.9

=== DESCRIPTION ===
Package: hdf5
Version: 1.6.9
Title: HDF5
Author: Marcus G. Daniels mdaniels@lanl.gov
Maintainer: Marcus G. Daniels <mdaniels@lanl.gov>
Description: Interface to the NCSA HDF5 library
License: GPL (>= 2)
Packaged: Sat Apr 14 15:09:53 2007; hp
Repository: CRAN
Date/Publication: 2009-01-11 19:34:25
